%global dlrn_nvr heat-tempest-plugin-0.2.1.dev1-0.20180829061906.ecf121c
%global dlrn 1
%define upstream_version 0.2.1.dev1
%global service heat
%global plugin heat-tempest-plugin
%global module heat_tempest_plugin

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%if 0%{?fedora}
%global with_python3 1
%endif

%global common_desc \
This package contains Tempest tests to cover the Heat project. \
Additionally it provides a plugin to automatically load these \
tests into Tempest.

Name:       python-%{service}-tests-tempest
Version: 0.2.1
Release: 0.20180829061907.ecf121c%{?dist}
Summary:    Tempest Integration of Heat Project
License:    ASL 2.0
URL:        https://git.openstack.org/cgit/openstack/%{plugin}/

Source0: heat-tempest-plugin-0.2.1.dev1-0.20180829061906.ecf121c-ecf121cca0d6b05737450662b9d3607822f9599a.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=ecf121cca0d6b05737450662b9d3607822f9599a
Patch0001: 0001-Add-requires_service_type-test-decorator.patch
Patch0002: 0002-Use-utctime-when-adding-measures.patch

BuildArch:  noarch

BuildRequires:  git
BuildRequires:  openstack-macros

%description
%{common_desc}

%package -n python2-%{service}-tests-tempest
Summary: %{summary}
%{?python_provide:%python_provide python2-%{service}-tests-tempest}
BuildRequires:  python2-devel
BuildRequires:  python2-pbr
BuildRequires:  python2-setuptools

Obsoletes:   python-heat-tests < 1:10.0.0

Requires:   python2-tempest >= 1:18.0.0
Requires:   python2-oslo-config >= 2:5.2.0
Requires:   python2-oslo-log >= 3.36.0
Requires:   python2-oslo-messaging >= 5.35.0
Requires:   python2-paramiko >= 2.0.0
Requires:   python2-eventlet
Requires:   python2-keystoneauth1 >= 3.4.0
Requires:   python2-testtools >= 1.8.0
Requires:   python2-cinderclient >= 3.5.0
Requires:   python2-gnocchiclient >= 7.0.1
Requires:   python2-heatclient >= 1.14.0
Requires:   python2-neutronclient >= 6.7.0
Requires:   python2-novaclient >= 10.1.0
Requires:   python2-swiftclient >= 3.5.0
Requires:   python2-zaqarclient >= 1.9.0
Requires:   python2-testscenarios >= 0.5.0
Requires:   python2-gabbi >= 1.42.1
Requires:   python2-kombu
Requires:   python2-os-client-config >= 1.29.0

%description -n python2-%{service}-tests-tempest
%{common_desc}

%if 0%{?with_python3}
%package -n python3-%{service}-tests-tempest
Summary: %{summary}
%{?python_provide:%python_provide python3-%{service}-tests-tempest}
BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-setuptools

Requires:   python3-tempest >= 1:18.0.0
Requires:   python3-oslo-config >= 2:5.2.0
Requires:   python3-oslo-log >= 3.36.0
Requires:   python3-oslo-messaging >= 5.35.0
Requires:   python3-paramiko >= 2.0.0
Requires:   python3-eventlet
Requires:   python3-keystoneauth1 >= 3.4.0
Requires:   python3-testtools >= 1.8.0
Requires:   python3-cinderclient >= 3.5.0
Requires:   python3-gnocchiclient >= 7.0.1
Requires:   python3-heatclient >= 1.14.0
Requires:   python3-neutronclient >= 6.7.0
Requires:   python3-novaclient >= 10.1.0
Requires:   python3-swiftclient >= 3.5.0
Requires:   python3-zaqarclient >= 1.9.0
Requires:   python3-testscenarios >= 0.5.0
Requires:   python3-gabbi >= 1.42.1
Requires:   python3-kombu
Requires:   python3-os-client-config >= 1.29.0

%description -n python3-%{service}-tests-tempest
%{common_desc}
%endif

%prep
%autosetup -n %{plugin}-%{upstream_version} -S git

# Let's handle dependencies ourseleves
%py_req_cleanup
# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%if 0%{?with_python3}
%py3_build
%endif
%py2_build

%install
%if 0%{?with_python3}
%py3_install
%endif
%py2_install

%files -n python2-%{service}-tests-tempest
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{module}
%{python2_sitelib}/*.egg-info

%if 0%{?with_python3}
%files -n python3-%{service}-tests-tempest
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{module}
%{python3_sitelib}/*.egg-info
%endif

%changelog
* Tue Jan 29 2019 Rabi Mishra <ramishra@redhat.com> 0.2.1-0.20180829061907.ecf121c
- Use utctime when adding measures (rhbz#1651968)
- Add requires_service_type test decorator (rhbz#1657818)

